Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class ServiceLink

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.ServiceLink

    public class ServiceLink
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `ANY_IFACE` |
  `static int` | `INCOMING_PACKET` |
  `static int` | `OUTGOING_PACKET` |
  `int` | `serviceId` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ServiceLink()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `long` | `getAddr1()` |
  `long` | `getAddr2()` |
  `java.lang.String` | `getComment()` |
  `java.util.Calendar` | `getDate1()` |
  `java.util.Calendar` | `getDate2()` |
  `int` | `getDiffServ()` |
  `int` | `getDiffServMask()` |
  `java.lang.String` | `getDiffServString()` |
  `int` | `getDirect()` |
  `int` | `getId()` |
  `int` | `getID()` | Deprecated.
  `int` | `getIface()` |
  `int` | `getPlanId()` |
  `int` | `getPort1()` |
  `int` | `getPort2()` |
  `int` | `getPos()` |
  `int` | `getServiceId()` |
  `int` | `getServiceID()` | Deprecated.
  `int` | `getSourceId()` |
  `int` | `getSourceID()` | Deprecated.
  `boolean` | `isCoinside​(int direct, long addr, int port, int iface, int diffServ)` |
  `void` | `loadFromString​(java.lang.String data)` |
  `java.lang.String` | `serializeToString()` |
  `void` | `setAddr1​(long addr1)` |
  `void` | `setAddr2​(long addr2)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDate1​(java.util.Calendar date1)` |
  `void` | `setDate2​(java.util.Calendar date2)` |
  `void` | `setDiffServString​(java.lang.String diffServString)` |
  `void` | `setDirect​(int direct)` |
  `void` | `setId​(int id)` |
  `void` | `setID​(int id)` | Deprecated.
  `void` | `setIface​(int iface)` |
  `void` | `setPlanId​(int planId)` |
  `void` | `setPort1​(int port1)` |
  `void` | `setPort2​(int port2)` |
  `void` | `setPos​(int pos)` |
  `void` | `setServiceId​(int serviceId)` |
  `void` | `setServiceID​(int serviceId)` | Deprecated.
  `void` | `setSourceId​(int sourceId)` |
  `void` | `setSourceID​(int sourceId)` | Deprecated.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OUTGOING_PACKET

    public static final int OUTGOING_PACKET
    See Also:
      Constant Field Values

  - ### INCOMING_PACKET

    public static final int INCOMING_PACKET
    See Also:
      Constant Field Values

  - ### ANY_IFACE

    public static final int ANY_IFACE
    See Also:
      Constant Field Values

  - ### serviceId

    public int serviceId

- ## Constructor Details

  - ### ServiceLink

    public ServiceLink()

- ## Method Details

  - ### getId

    public int getId()

  - ### getID

    @Deprecated public int getID()
    Deprecated.
    Использовать `getId()`.
    Returns:

  - ### setId

    public void setId​(int id)

  - ### setID

    @Deprecated public void setID​(int id)
    Deprecated.
    Использовать `setId(int)`.
    Parameters:
      `id` -

  - ### getPos

    public int getPos()

  - ### setPos

    public void setPos​(int pos)

  - ### getDate1

    public java.util.Calendar getDate1()

  - ### setDate1

    public void setDate1​(java.util.Calendar date1)

  - ### getDate2

    public java.util.Calendar getDate2()

  - ### setDate2

    public void setDate2​(java.util.Calendar date2)

  - ### getSourceId

    public int getSourceId()

  - ### getSourceID

    @Deprecated public int getSourceID()
    Deprecated.
    Использовать `getSourceId()`.
    Returns:

  - ### setSourceId

    public void setSourceId​(int sourceId)

  - ### setSourceID

    @Deprecated public void setSourceID​(int sourceId)
    Deprecated.
    Использовать `setSourceId(int)`.
    Parameters:
      `sourceId` -

  - ### getDirect

    public int getDirect()

  - ### setDirect

    public void setDirect​(int direct)

  - ### getAddr1

    public long getAddr1()

  - ### setAddr1

    public void setAddr1​(long addr1)

  - ### getAddr2

    public long getAddr2()

  - ### setAddr2

    public void setAddr2​(long addr2)

  - ### getPort1

    public int getPort1()

  - ### setPort1

    public void setPort1​(int port1)

  - ### getPort2

    public int getPort2()

  - ### setPort2

    public void setPort2​(int port2)

  - ### getServiceId

    public int getServiceId()

  - ### getServiceID

    @Deprecated public int getServiceID()
    Deprecated.
    Использовать `getServiceId()`.
    Returns:

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### setServiceID

    @Deprecated public void setServiceID​(int serviceId)
    Deprecated.
    Использовать `setServiceId(int)`.
    Parameters:
      `serviceId` -

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getDiffServString

    public java.lang.String getDiffServString()

  - ### setDiffServString

    public void setDiffServString​(java.lang.String diffServString)

  - ### getDiffServ

    public int getDiffServ()

  - ### getDiffServMask

    public int getDiffServMask()

  - ### isCoinside

    public boolean isCoinside​(int direct, long addr, int port, int iface, int diffServ)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getIface

    public int getIface()

  - ### setIface

    public void setIface​(int iface)

  - ### serializeToString

    public java.lang.String serializeToString()

  - ### loadFromString

    public void loadFromString​(java.lang.String data)

  - ### getPlanId

    public int getPlanId()

  - ### setPlanId

    public void setPlanId​(int planId)